Summary: Dovecot Sieve Mail Filtering Plugin
Name: dovecot-sieve
Version: 1.0.2
Release: alt3
License: LGPL
Group: System/Servers
URL: http://www.dovecot.org/
Source0: %{name}-%{version}.tar.gz
Requires: dovecot
Packager: Sergey Ivanov <seriv@altlinux.ru>

# Automatically added by buildreq on Mon Nov 13 2006
## BuildRequires: dovecot-devel flex gcc-g77 gcc-c++ glibc-devel-static
BuildRequires: dovecot-devel flex gcc-c++ glibc-devel-static

%description
Dovecot-sieve is a plugin for Dovecot Local Delivery Agent, 
which is capable of mail filtering and manipulation with sieve instructions.

%define _libexecdir /usr/libexec

%prep
%setup -n %name-%version -q

%build
%__aclocal
%__autoheader
%__libtoolize --force
%__automake --add-missing
%__autoconf
%configure --with-dovecot=%{_includedir}/dovecot  --with-modulesdir=$(libdir)\/dovecot/modules
for f in `find . -name Makefile`
do
    mv -f $f $f.orig
    sed -e's/\$(dovecotdir)\/src\(\/lib\/.*\.a\)/\$(libdir)\/dovecot\/modules\1/g' \
        < $f.orig > $f
done
%make

%install
%make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/dovecot/modules/lda/*.a

%files
%defattr(-,root,root)
%{_libexecdir}/dovecot/sievec
%{_libexecdir}/dovecot/sieved
%{_libdir}/dovecot/modules/lda/*.so
%{_libdir}/dovecot/modules/lda/*.la

%changelog
* Thu Mar 13 2008 Sergey Ivanov <seriv@altlinux.ru> 1.0.2-alt3
- Merge from upstream fix "Expand ~ to home in sieve path".

* Wed Aug 01 2007 Sergey Ivanov <seriv@altlinux.ru> 1.0.2-alt2
- fixed location of executables to place in /usr/libexec

* Wed Aug 01 2007 Sergey Ivanov <seriv@altlinux.ru> 1.0.2-alt1
- upgraded to dovecot-sieve-1.0.2

* Tue Jul 17 2007 Sergey Ivanov <seriv@altlinux.ru> 1.0.1.hg20070717-alt1
- upgraded to hg as of July, 17 2007, with the following fixes:
  support for mailto notify, more logging, better handling error in headers and others
  (see ChangeLog)

* Sun Mar 25 2007 Sergey Ivanov <seriv@altlinux.org> 1.0.1.cvs20070222-alt1
- releasing version from cvs as of Feb 22 2007; use of --enable-header-install in dovecot.

* Mon Jan 22 2007 Sergey Ivanov <seriv@altlinux.org> 1.0.1-alt1
- updated to 1.0.1

* Mon Nov 13 2006 Sergey Ivanov <seriv@altlinux.org> 1.0-alt1
- Initial build for ALTLinux

* Mon Nov  8 2006 Angel Marin <anmar@anmar.eu.org> - 1.0-3
- Update to dovecot-1.0-0_30.rc12
- Now depend on -devel (new in 1.0-0_30.rc12) instead of rebuilding
  dovecot source.
- Update to dovecot-sieve 1.0
- Remove .a files from package.

* Mon  Oct 16 2006 Angel Marin <anmar@anmar.eu.org>
- first build (dovecot-sieve 0.1-20061009) 
